Package org.stianloader.micromixin.transform.internal.util.commenttable

## Class KeyValueTableSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.commenttable.KeyValueTableSection

All Implemented Interfaces:
  `CommentTableSection`

    public class KeyValueTableSection
    extends java.lang.Object
    implements CommentTableSection

### Constructor Summary

Constructors
`KeyValueTableSection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`KeyValueTableSection` `add​(java.lang.String key, java.lang.String value)`
`java.util.List<java.lang.String>` `getLines()`
`int` `getPreferedWidth()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyValueTableSection

    public KeyValueTableSection()

### Method Detail

#### add

    @NotNull
    @Contract(mutates="this",
              pure=false,
              value="null, _ -> fail; _, null -> fail; !null, !null -> this")
    public KeyValueTableSection add​(@NotNull
                                    java.lang.String key,
                                    @NotNull
                                    java.lang.String value)

#### getPreferedWidth

    public int getPreferedWidth()

Specified by:
  `getPreferedWidth` in interface `CommentTableSection`

#### getLines

    @NotNull
    public java.util.List<java.lang.String> getLines()

Specified by:
  `getLines` in interface `CommentTableSection`